phrLoadDatabase {phreeqc} | R Documentation

## Load a phreeqc database file

### Description

Loads the given phreeqc database into phreeqc. Returns NULL if successful.

### Usage

    phrLoadDatabase(filename)

### Arguments

`filename` | The name of the database file.

### Value

This function returns NULL.

### References

ftp://brrftp.cr.usgs.gov/pub/charlton/iphreeqc/IPhreeqc.pdf

### See Also

Other Load Database: `phrLoadDatabaseString`

### Examples

    # create temporary database file
    tf <- tempfile()
    writeLines(phreeqc.dat, tf)

    if (is.null(phrLoadDatabase(tf))) {
      cat("database ok\n")
    } else {
      cat("database contains errors\n")
    }

    # delete temporary database file
    unlink(tf)

[Package phreeqc version 3.4.10 Index]